summaryrefslogtreecommitdiff
path: root/dev-python/tempest
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-02-25 08:43:21 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-02-25 08:43:21 +0000
commit71859522cbacd86ea2788ababb1d7d2cfb58d320 (patch)
tree04bb6c4025d27ab3dac9618aa9fe48f5495c9b53 /dev-python/tempest
parent19ec52ea203a62ef35a2cec283c1e9370ffa0e69 (diff)
downloadbaldeagleos-repo-71859522cbacd86ea2788ababb1d7d2cfb58d320.tar.gz
baldeagleos-repo-71859522cbacd86ea2788ababb1d7d2cfb58d320.tar.xz
baldeagleos-repo-71859522cbacd86ea2788ababb1d7d2cfb58d320.zip
Adding metadata
Diffstat (limited to 'dev-python/tempest')
-rw-r--r--dev-python/tempest/tempest-29.2.0-r1.ebuild69
1 files changed, 69 insertions, 0 deletions
diff --git a/dev-python/tempest/tempest-29.2.0-r1.ebuild b/dev-python/tempest/tempest-29.2.0-r1.ebuild
new file mode 100644
index 000000000000..e0be49683093
--- /dev/null
+++ b/dev-python/tempest/tempest-29.2.0-r1.ebuild
@@ -0,0 +1,69 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="OpenStack Integration Testing"
+HOMEPAGE="https://pypi.org/project/tempest/ https://docs.openstack.org/tempest/latest/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ >dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
+ >dev-python/cliff-2.9.0[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
+ >=dev-python/paramiko-2.7.0[${PYTHON_USEDEP}]
+ >=dev-python/netaddr-0.7.18[${PYTHON_USEDEP}]
+ >=dev-python/oslo-concurrency-3.26.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-config-5.2.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-log-3.36.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-utils-4.7.0[${PYTHON_USEDEP}]
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-3.12[${PYTHON_USEDEP}]
+ >=dev-python/subunit-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/stevedore-1.20.0[${PYTHON_USEDEP}]
+ >=dev-python/prettytable-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.21.1[${PYTHON_USEDEP}]
+ >=dev-python/debtcollector-1.2.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/oslotest-3.2.0[${PYTHON_USEDEP}]
+ dev-python/stestr[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ # Small subset of tests, which fail as result of not using specific
+ # testing environment. Others expect to run suite using stestr.
+ rm -r tempest/tests/lib/services/volume/v3/ || die
+ rm tempest/tests/test_list_tests.py || die
+ rm tempest/tests/lib/cmd/test_check_uuid.py || die
+
+ # remove dep on hacking
+ rm tempest/tests/test_hacking.py || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local -x OS_LOG_CAPTURE=1 OS_STDOUT_CAPTURE=1 OS_STDERR_CAPTURE=1 OS_TEST_TIMEOUT=320
+ eunittest -b -s tempest/tests -t .
+}
+
+src_install() {
+ distutils-r1_src_install
+ mv "${ED}/usr/etc" "${ED}/etc" || die
+}